Skip to main content
DELETE
/
v1
/
webhooks
/
{webhook_id}
curl
curl -X DELETE "https://api.services.payward.com/v1/webhooks/whk_01J0M7C0Z9F8YX3GQH8E" \
  -H "API-Key: $PWS_API_KEY" \
  -H "API-Nonce: $PWS_API_NONCE" \
  -H "API-Sign: $PWS_API_SIGN"
{
  "data": {
    "webhook_id": "whk_01J0M7C0Z9F8YX3GQH8E",
    "deleted_at": "2026-04-26T18:24:11Z"
  }
}

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Path Parameters

webhook_id
string
required

Unique identifier for the webhook

Example:

"WHTEST-XXXXX-EXAMPLE"

Response

Webhook deleted successfully

data
object
required